Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046618
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[POS2] Restaurantsminorhave not tried2021-05-11 16:192021-07-14 09:52
ReporterplujanView Statuspublic 
Assigned ToRetail 
PrioritynormalResolutionopenFixed in Version
StatusacknowledgedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046618: [21Q2] [Restaurants] Removing a food line from "Not Fixed Menu" requires extra steps

DescriptionIn order to remove a food line from a menu, the steps are different for "Simple Menu" and "Non Fixed Size Menu"
Steps To ReproduceScenario A: Simple Menu
1. Add a simple menu to a ticket
2. Add Onion Soup, Cheeseburger, Beer and Cheese Cake to complete the menu
3. Click in the ticket line to edit it
4. Click in the Onion Soup to remove it. Notice the item has been removed and you are in the same page in order to pick the replacement for the removed food.

Scenario B: Non Fixed Size Menu
1. Add a non fixed size menu to a ticket
2. Add Garlic Bread, French Fries, Nachos Tex Mex, Beer and Water to complete the menu
3. Click in the ticket line to edit it
4. Click in the Garlic Bread to remove it. Notice the item has been removed but now you are taken to the main page, so you have to click the ticket line again to add the replacement food.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2021-05-11 16:19 plujan New Issue
2021-05-11 16:19 plujan Assigned To => Retail
2021-05-11 16:19 plujan Resolution time => 1624399200
2021-05-11 16:19 plujan Triggers an Emergency Pack => No
2021-05-11 16:45 plujan Category POS => Restaurants
2021-05-11 16:45 plujan Summary [21Q2] Removing a food line from "Not Fixed Menu" requires extra steps => [21Q2] [Restaurants] Removing a food line from "Not Fixed Menu" requires extra steps
2021-05-12 09:57 guilleaer Status new => acknowledged
2021-05-12 20:58 plujan Description Updated View Revisions
2021-05-12 20:58 plujan Steps to Reproduce Updated View Revisions
2021-05-12 20:59 plujan Steps to Reproduce Updated View Revisions
2021-07-14 09:52 dmiguelez Resolution time 1624399200 => 1638313200
2021-07-14 09:52 dmiguelez Type defect => feature request


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker